### Free Software

per parlare del software libero (free non vuol dire gratuito) ci vorrebbero ore,
ma qui ci interessa solo sottolineare quali sono le principali differenze,
tra i sistemi operativi e le applicazioni dal punto di vista della **sicurezza**<!-- .element: class="fragment highlight-red" -->.

Ci basti per ora sapere che FOSS significa,
Free and Open Source Software.

--
### Proprietario? NO Grazie
> Nel mondo della crittografia consideriamo l'open source necessario per una buona sicurezza; [...] La sicurezza pubblica è sempre più sicura della sicurezza proprietaria. Ciò è vero per algoritmi di crittografia, protocolli di sicurezza e codici sorgente di sicurezza. Per noi, l'open source non è solo un modello di business; è un'intelligente pratica ingegneristica

--
I sistemi operativi e le applicazioni proprietarie (es. Windows, MacOS, iOS),
sono sistemi chiusi.
Chiusi vuol dire che nessuno (tranne gli sviluppatori) sa cosa contengono.

Noi li usiamo perchè fanno delle cose, svolgono delle funzioni.
Ma come lo fanno o se mentre svolgono le loro funzioni facciano anche altre
cose noi non lo sappiamo.

--
### Se è Libero ... MEGLIO!

Il software libero, invece è accessibile a tutti.

Di qualsiasi programma o parte del sistema sono disponibili e pubblici,
i sorgenti.

Chiunque abbia la giusta competenza può controllare cosa e come svolgono
le loro funzioni.

E questo quando si parla di sicurezza fa una bella differenza.

--
### Fiducia

La comunità che collabora allo sviluppo del software libero è,
essa stessa garanzia di controllo sui suoi contenuti.

Su una comunità così numerosa si può essere confidenti che eventuali,
problemi siano tempestivamente individuati e segnalati.

--
### Alcuni numeri

dal 2005 ad oggi circa 13500 sviluppatori hanno contribuito al solo sviluppo del kernel linux.  

- [GitHub](https://github.com): conta quasi 5M di repositories.
- [SourceForge](https://sourceforge.net) ospita 324000 progetti.
- [Ohloh](https://www.openhub.net) ospita 550000 progetti.
- [Queste slides](https://git.lattuga.net/lesion/autodifesa-digitale-parte-1/) sono libere (sono un fork bolognese).
